javax.print.attribute.standard

## Class ColorSupported

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.ColorSupported

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintServiceAttribute

    public final class ColorSupported
    extends EnumSyntax
    implements PrintServiceAttribute

Class ColorSupported is a printing attribute class, an enumeration, that identifies whether the device is capable of any type of color printing at all, including highlight color as well as full process color. All document instructions having to do with color are embedded within the print data (none are attributes attached to the job outside the print data).

Note: End users are able to determine the nature and details of the color support by querying the `PrinterMoreInfoManufacturer` attribute.

Don't confuse the ColorSupported attribute with the `Chromaticity` attribute. `Chromaticity` is an attribute the client can specify for a job to tell the printer whether to print a document in monochrome or color, possibly causing the printer to print a color document in monochrome. ColorSupported is a printer description attribute that tells whether the printer can print in color regardless of how the client specifies to print any particular document.

IPP Compatibility: The IPP boolean value is "true" for SUPPORTED and "false" for NOT_SUPPORTED. The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

See Also:
  Serialized Form

### Field Summary

Fields
`static ColorSupported` `NOT_SUPPORTED` The printer is not capable of any type of color printing.
`static ColorSupported` `SUPPORTED` The printer is capable of some type of color printing, such as highlight color or full process color.

### Constructor Summary

Constructors
`protected` `ColorSupported(int value)` Construct a new color supported enumeration value with the given integer value.

### Method Summary

Methods
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`protected EnumSyntax[]` `getEnumValueTable()` Returns the enumeration value table for class ColorSupported.
`String` `getName()` Get the name of the category of which this attribute value is an instance.
`protected String[]` `getStringTable()` Returns the string table for class ColorSupported.

### Methods inherited from class javax.print.attribute.EnumSyntax

`clone, getOffset, getValue, hashCode, readResolve, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NOT_SUPPORTED

    public static final ColorSupported NOT_SUPPORTED

The printer is not capable of any type of color printing.

#### SUPPORTED

    public static final ColorSupported SUPPORTED

The printer is capable of some type of color printing, such as highlight color or full process color.

### Constructor Detail

#### ColorSupported

    protected ColorSupported(int value)

Construct a new color supported enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

### Method Detail

#### getStringTable

    protected String[] getStringTable()

Returns the string table for class ColorSupported.

Overrides:
  `getStringTable` in class `EnumSyntax`
Returns:
  the string table

#### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

Returns the enumeration value table for class ColorSupported.

Overrides:
  `getEnumValueTable` in class `EnumSyntax`
Returns:
  the value table

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class ColorSupported, the category is class ColorSupported itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class ColorSupported, the category name is `"color-supported"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.